package com.xyzc.start.mapper;


import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.DrawAssistant;
import com.xyzc.start.domain.vo.DrawAssistantVo;
import com.xyzc.start.domain.vo.DrawPromptConfigVo;

import java.util.List;

public interface DrawAssistantMapper extends BaseMapperPlus<DrawAssistant, DrawAssistantVo> {

    /**
     * 分页查询助手下对应的prompt列表
     * @param assistantId
     * @param promptId
     * @return
     */
    List<DrawPromptConfigVo> queryDrawPromptList(Integer assistantId, Long promptId, String keyword);
}
